Debian Bug report logs - #665959
"ncurses-base: linux console can't display ACS characters anymore."

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: Elimar Riesebieter <riesebie@lxtec.de>

Date: Tue, 27 Mar 2012 11:27:03 UTC

Severity: normal

Merged with 666971

Found in version ncurses/5.9-5

Fixed in version ncurses/5.9-6

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 11:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 11:27:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 13:25:36 +0200
Package: ncurses-base
Version: 5.9-5
Severity: normal

After an update to 5.9-5 the linux console can't disply ACL's anymore. This came
up to me running mutt using ACL in thread display. Copying /lib/terminfo/l out
of 5.9-4 to /etc/terminfo or $HOME/.terminfo/ braught me to the old behaviour.

Elimar

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 3.3.0-samweis
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 12:51:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 12:51:58 GMT) Full text and rfc822 format available.

Message #10 received at 665959@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 665959@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 14:45:59 +0200
retitle 665959 "ncurses-base: linux console can't display ACS characters anymore."

thanks

* Elimar Riesebieter <riesebie@lxtec.de> [2012-03-27 13:25 +0200]:

> Package: ncurses-base
> Version: 5.9-5
> Severity: normal

Sorry: s/ACL/ACS/ ;-)

> After an update to 5.9-5 the linux console can't disply ACL's anymore. This came
> up to me running mutt using ACL in thread display. Copying /lib/terminfo/l out
> of 5.9-4 to /etc/terminfo or $HOME/.terminfo/ braught me to the old behaviour.
> 
> Elimar
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (990, 'unstable'), (1, 'experimental')
> Architecture: powerpc (ppc)
> 
> Kernel: Linux 3.3.0-samweis
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
> Shell: /bin/sh linked to /bin/dash
> 
> -- no debconf information
> 

-- 
  Excellent day for drinking heavily.
  Spike the office water cooler;-)




Changed Bug title to '"ncurses-base: linux console can't display ACS characters anymore."' from 'ncurses-base: linux console can't display ACL's anymore' Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Tue, 27 Mar 2012 12:52:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 15:09:05 GMT) Full text and rfc822 format available.

Message #17 received at 665959@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 665959@bugs.debian.org
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 17:06:48 +0200
Am 27.03.2012 um 13:25 schrieb Elimar Riesebieter:

> Package: ncurses-base
> Version: 5.9-5
> Severity: normal
>
> After an update to 5.9-5 the linux console can't disply ACL's anymore. This came
> up to me running mutt using ACL in thread display.

It is apparently a side effect of using rmacs=^O, smacs=^N in this
version (see #515609 on that matter).  Note that it is only triggered
in non-UTF8 locales.

> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

This combination is asking for trouble since you will generally not be
able to display non-ASCII characters with it.  At least LC_MESSAGES and
LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 15:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 15:45:13 GMT) Full text and rfc822 format available.

Message #22 received at 665959@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 665959@bugs.debian.org
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 17:34:06 +0200
* Sven Joachim <svenjoac@gmx.de> [2012-03-27 17:06 +0200]:

> Am 27.03.2012 um 13:25 schrieb Elimar Riesebieter:
> 
> > Package: ncurses-base
> > Version: 5.9-5
> > Severity: normal
> >
> > After an update to 5.9-5 the linux console can't disply ACL's anymore. This came
> > up to me running mutt using ACL in thread display.
> 
> It is apparently a side effect of using rmacs=^O, smacs=^N in this
> version (see #515609 on that matter).  Note that it is only triggered
> in non-UTF8 locales.
> 
> > Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
> 
> This combination is asking for trouble since you will generally not be
> able to display non-ASCII characters with it.  At least LC_MESSAGES and
> LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.

Exporting LC_ALL=de_DE.utf8 doesn't display ACS characters here.

Elimar
-- 
  Excellent day for drinking heavily.
  Spike the office water cooler;-)




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 17:57:04 GMT) Full text and rfc822 format available.

Message #27 received at 665959@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 665959@bugs.debian.org
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 19:54:47 +0200
Am 27.03.2012 um 17:34 schrieb Elimar Riesebieter:

> * Sven Joachim <svenjoac@gmx.de> [2012-03-27 17:06 +0200]:
>
>> Am 27.03.2012 um 13:25 schrieb Elimar Riesebieter:
>> 
>> > Package: ncurses-base
>> > Version: 5.9-5
>> > Severity: normal
>> >
>> > After an update to 5.9-5 the linux console can't disply ACL's anymore. This came
>> > up to me running mutt using ACL in thread display.
>> 
>> It is apparently a side effect of using rmacs=^O, smacs=^N in this
>> version (see #515609 on that matter).  Note that it is only triggered
>> in non-UTF8 locales.
>> 
>> > Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
>> 
>> This combination is asking for trouble since you will generally not be
>> able to display non-ASCII characters with it.  At least LC_MESSAGES and
>> LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.
>
> Exporting LC_ALL=de_DE.utf8 doesn't display ACS characters here.

You have to put the console into unicode mode first, e.g. by running
unicode_start.  Does it work then?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 18:15:05 GMT) Full text and rfc822 format available.

Message #32 received at 665959@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 665959@bugs.debian.org
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 20:10:42 +0200
* Sven Joachim <svenjoac@gmx.de> [2012-03-27 19:54 +0200]:

> Am 27.03.2012 um 17:34 schrieb Elimar Riesebieter:
> 
> > * Sven Joachim <svenjoac@gmx.de> [2012-03-27 17:06 +0200]:
[...]
> >> This combination is asking for trouble since you will generally not be
> >> able to display non-ASCII characters with it.  At least LC_MESSAGES and
> >> LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.
> >
> > Exporting LC_ALL=de_DE.utf8 doesn't display ACS characters here.
> 
> You have to put the console into unicode mode first, e.g. by running
> unicode_start.  Does it work then?

Mostly. German Umlauts and € (Euro-Sign) isn't accepted.

Elimar

-- 
  On the keyboard of life you have always
  to keep a finger at the escape key;-)




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 21:03:06 GMT) Full text and rfc822 format available.

Message #37 received at 665959@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Elimar Riesebieter <riesebie@lxtec.de>, 665959@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 16:58:42 -0400
[Message part 1 (text/plain, inline)]
On Tue, Mar 27, 2012 at 08:10:42PM +0200, Elimar Riesebieter wrote:
> * Sven Joachim <svenjoac@gmx.de> [2012-03-27 19:54 +0200]:
> 
> > Am 27.03.2012 um 17:34 schrieb Elimar Riesebieter:
> > 
> > > * Sven Joachim <svenjoac@gmx.de> [2012-03-27 17:06 +0200]:
> [...]
> > >> This combination is asking for trouble since you will generally not be
> > >> able to display non-ASCII characters with it.  At least LC_MESSAGES and
> > >> LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.
> > >
> > > Exporting LC_ALL=de_DE.utf8 doesn't display ACS characters here.
> > 
> > You have to put the console into unicode mode first, e.g. by running
> > unicode_start.  Does it work then?
> 
> Mostly. German Umlauts and € (Euro-Sign) isn't accepted.

hmm, Linux's UTF-8 support isn't that extensive, but I'd thought Umlauts would work.

But if your kernel's "3.3", supposedly it supports proper SI/SO controls.

ncurses uses the locale-encoding value based on the locale settings.
In spite of the explicit LC_CTYPE, that's determined in this case
by the LANG setting, i.e., UTF-8.

If your locale doesn't look like UTF-8 encoding to ncurses (and if the
console isn't in UTF-8 mode), then it's supposed to handle line-drawing.

A drawback to doing that would be in editing text, etc.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Tue, 27 Mar 2012 21:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 21:24:05 GMT) Full text and rfc822 format available.

Message #42 received at 665959@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas Dickey <dickey@his.com>
Cc: Elimar Riesebieter <riesebie@lxtec.de>, 665959@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Tue, 27 Mar 2012 17:22:01 -0400
[Message part 1 (text/plain, inline)]
On Tue, Mar 27, 2012 at 04:58:42PM -0400, Thomas Dickey wrote:
> On Tue, Mar 27, 2012 at 08:10:42PM +0200, Elimar Riesebieter wrote:
> > * Sven Joachim <svenjoac@gmx.de> [2012-03-27 19:54 +0200]:
> > 
> > > Am 27.03.2012 um 17:34 schrieb Elimar Riesebieter:
> > > 
> > > > * Sven Joachim <svenjoac@gmx.de> [2012-03-27 17:06 +0200]:
> > [...]
> > > >> This combination is asking for trouble since you will generally not be
> > > >> able to display non-ASCII characters with it.  At least LC_MESSAGES and
> > > >> LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.
> > > >
> > > > Exporting LC_ALL=de_DE.utf8 doesn't display ACS characters here.
> > > 
> > > You have to put the console into unicode mode first, e.g. by running
> > > unicode_start.  Does it work then?
> > 
> > Mostly. German Umlauts and € (Euro-Sign) isn't accepted.

A simpler solution would be to set TERM to the older entry,
i.e., "linux2.2".

As I recall, the main reason why the change for #515609 was accepted was
considering the non-ncurses uses (such as termcap applications and slang).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Wed, 28 Mar 2012 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 28 Mar 2012 16:33:07 GMT) Full text and rfc822 format available.

Message #47 received at 665959@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 665959@bugs.debian.org, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Wed, 28 Mar 2012 18:28:41 +0200
On 2012-03-27 23:22 +0200, Thomas Dickey wrote:

> On Tue, Mar 27, 2012 at 04:58:42PM -0400, Thomas Dickey wrote:
>> On Tue, Mar 27, 2012 at 08:10:42PM +0200, Elimar Riesebieter wrote:
>> > * Sven Joachim <svenjoac@gmx.de> [2012-03-27 19:54 +0200]:
>> > 
>> > > Am 27.03.2012 um 17:34 schrieb Elimar Riesebieter:
>> > > 
>> > > > * Sven Joachim <svenjoac@gmx.de> [2012-03-27 17:06 +0200]:
>> > [...]
>> > > >> This combination is asking for trouble since you will generally not be
>> > > >> able to display non-ASCII characters with it.  At least LC_MESSAGES and
>> > > >> LC_CTYPE must both be set to a UTF-8 locale or both to a legacy locale.
>> > > >
>> > > > Exporting LC_ALL=de_DE.utf8 doesn't display ACS characters here.
>> > > 
>> > > You have to put the console into unicode mode first, e.g. by running
>> > > unicode_start.  Does it work then?
>> > 
>> > Mostly. German Umlauts and € (Euro-Sign) isn't accepted.
>
> A simpler solution would be to set TERM to the older entry,
> i.e., "linux2.2".

This has the drawback that it is likely not available on remote systems
you may want to connect to.

> As I recall, the main reason why the change for #515609 was accepted was
> considering the non-ncurses uses (such as termcap applications and slang).

Incidentally, I reproduced the problem in Midnight Commander which is
linked against slang rather than ncurses.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Fri, 30 Mar 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 30 Mar 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 665959@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: dickey@his.com, 665959@bugs.debian.org
Cc: Elimar Riesebieter <riesebie@lxtec.de>, Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Fri, 30 Mar 2012 16:43:21 +0200
On 2012-03-27 17:22:01 -0400, Thomas Dickey wrote:
> As I recall, the main reason why the change for #515609 was accepted was
> considering the non-ncurses uses (such as termcap applications and slang).

Not sure what you mean by "non-ncurses uses", but scripts that
use the tput command were affected by bug #515609, and tput is
provided by ncurses-bin.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sat, 31 Mar 2012 20:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 31 Mar 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #57 received at 665959@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 665959@bugs.debian.org
Cc: dickey@his.com, Elimar Riesebieter <riesebie@lxtec.de>, Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sat, 31 Mar 2012 16:51:37 -0400
[Message part 1 (text/plain, inline)]
On Fri, Mar 30, 2012 at 04:43:21PM +0200, Vincent Lefevre wrote:
> On 2012-03-27 17:22:01 -0400, Thomas Dickey wrote:
> > As I recall, the main reason why the change for #515609 was accepted was
> > considering the non-ncurses uses (such as termcap applications and slang).
> 
> Not sure what you mean by "non-ncurses uses", but scripts that
> use the tput command were affected by bug #515609, and tput is
> provided by ncurses-bin.

I distinguish things by what features they use:
	ncurses - fullscreen applications (things that rely on libncurses in the
		current packaging scheme).
	terminfo - things that use the database but do not use ncurses screen
		optimization (this includes all of the command-line tools)
	termcap - interface provided for compatibility (applications such as
		vim and w3m).

terminfo/termcap applications have their own logic.

Elimar's probably can probably be solved by setting TERM to linux2.2

comparing linux2.2 to linux3.0.
    comparing booleans.
    comparing numbers.
    comparing strings.
	rmacs: '\E[10m', '^O'.
	sgr: '\E[0;10%?%p1%t;7%;%?%p2%t;4%;%?%p3%t;7%;%?%p4%t;5%;%?%p5%t;2%;%?%p6%t;1%;%?%p9%t;11%;m', '\E[0;10%?%p1%t;7%;%?%p2%t;4%;%?%p3%t;7%;%?%p4%t;5%;%?%p5%t;2%;%?%p6%t;1%;m%?%p9%t\016%e\017%;'.
	sgr0: '\E[0;10m', '\E[m\017'.
	smacs: '\E[11m', '^N'.

Sure, \e[11m is "wrong".  But a lot of Linux console is wrong, and
has been for more than 15 years.  SI/SO was deliberately broken in
the late 1990s by the people who added UTF-8 support to Linux console,
and it remained broken for about 10 years.

However, I don't have enough information to see whether changing the
default behavior was a bad idea or a good one.  That comes down to
seeing which group is largest:

	a) ncurses users are largely unaffected (except for those doing
	   remote logins from one Linux console to another Linux system
	   with different kernel versions hence different default TERM
	   settings).

	   I did spend some time attempting to identify the first kernel
	   version in which the SI/SO change _actually_ appeared.  Let's
	   not go there - it's enough to point out that by the time it
	   was actually delivered, it was at least 5 years overdue ;-)

	b) users with workarounds for Linux console quirks (as Elimar
	   appears to be) are affected.

	c) some unspecified number of users would like to use tput for
	   drawing lines (they're affected).  I'd expect only a small
	   fraction of those to be slang users (simply because they
	   generally would use slang's quirks rather than script with
	   tput).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sun, 01 Apr 2012 06:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 01 Apr 2012 06:36:05 GMT) Full text and rfc822 format available.

Message #62 received at 665959@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 665959@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sun, 01 Apr 2012 08:32:24 +0200
On 2012-03-31 22:51 +0200, Thomas Dickey wrote:

> Elimar's probably can probably be solved by setting TERM to linux2.2

As I said, this solution is far from ideal as it forces changing TERM
when connecting to systems who do not have the latest and greatest
terminfo descriptions.

> However, I don't have enough information to see whether changing the
> default behavior was a bad idea or a good one.

How about running a test, e.g. like this:

LC_ALL=C dialog --infobox "Line drawing characters garbled" 24 80

I see lots of 'Ä' characters at the top/bottom and '³' characters on the
left and right margins.

> That comes down to
> seeing which group is largest:
>
> 	a) ncurses users are largely unaffected (except for those doing
> 	   remote logins from one Linux console to another Linux system
> 	   with different kernel versions hence different default TERM
> 	   settings).
>
> 	   I did spend some time attempting to identify the first kernel
> 	   version in which the SI/SO change _actually_ appeared.  Let's
> 	   not go there - it's enough to point out that by the time it
> 	   was actually delivered, it was at least 5 years overdue ;-)
>
> 	b) users with workarounds for Linux console quirks (as Elimar
> 	   appears to be) are affected.
>
> 	c) some unspecified number of users would like to use tput for
> 	   drawing lines (they're affected).  I'd expect only a small
> 	   fraction of those to be slang users (simply because they
> 	   generally would use slang's quirks rather than script with
> 	   tput).

And what about

      e) sysadmins who run their system with LANG=C and see garbage on
         the screen now whenever they install a package that asks a
         question via debconf?

Those are the ones who are affected now.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sun, 01 Apr 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 01 Apr 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #67 received at 665959@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 665959@bugs.debian.org
Cc: dickey@his.com, Vincent Lefevre <vincent@vinc17.net>, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sun, 01 Apr 2012 10:32:59 +0200
On 2012-04-01 08:32 +0200, Sven Joachim wrote:

> How about running a test, e.g. like this:
>
> LC_ALL=C dialog --infobox "Line drawing characters garbled" 24 80
>
> I see lots of 'Ä' characters at the top/bottom and '³' characters on the
> left and right margins.

Incidentally, reverting the rmacs/smacs changes fixes that problem in
slang applications (mc and whiptail), but not in dialog.  Do I need to
revert the sgr0 change for that?

> And what about
>
>       e) sysadmins who run their system with LANG=C and see garbage on
>          the screen now whenever they install a package that asks a
>          question via debconf?
>
> Those are the ones who are affected now.

I'll probably revert all the linux changes from the 20110716 patch,
since their outcome seems unacceptable to me.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sun, 01 Apr 2012 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 01 Apr 2012 09:54:05 GMT) Full text and rfc822 format available.

Message #72 received at 665959@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 665959@bugs.debian.org
Cc: dickey@his.com, Vincent Lefevre <vincent@vinc17.net>, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sun, 01 Apr 2012 05:51:17 -0400
[Message part 1 (text/plain, inline)]
On Sun, Apr 01, 2012 at 10:32:59AM +0200, Sven Joachim wrote:
> On 2012-04-01 08:32 +0200, Sven Joachim wrote:
> 
> > How about running a test, e.g. like this:
> >
> > LC_ALL=C dialog --infobox "Line drawing characters garbled" 24 80
> >
> > I see lots of 'Ä' characters at the top/bottom and '³' characters on the
> > left and right margins.
> 
> Incidentally, reverting the rmacs/smacs changes fixes that problem in
> slang applications (mc and whiptail), but not in dialog.  Do I need to
> revert the sgr0 change for that?

yes - it has the same information.
 
> > And what about
> >
> >       e) sysadmins who run their system with LANG=C and see garbage on
> >          the screen now whenever they install a package that asks a
> >          question via debconf?
> >
> > Those are the ones who are affected now.
> 
> I'll probably revert all the linux changes from the 20110716 patch,
> since their outcome seems unacceptable to me.

actually I've made changes to two parts (terminfo.src and the change to
gen_edit.sh - but I recall your patch level is before the latter - 20110910).

(sorry if I seem unresponsive - I didn't see further discussion, was trying
to decide whether to make the 20110910 change explicitly configurable, and was
investigating an issue related to my fix in st-256color).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sun, 01 Apr 2012 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 01 Apr 2012 10:33:04 GMT) Full text and rfc822 format available.

Message #77 received at 665959@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 665959@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sun, 01 Apr 2012 12:30:55 +0200
On 2012-04-01 11:51 +0200, Thomas Dickey wrote:

> On Sun, Apr 01, 2012 at 10:32:59AM +0200, Sven Joachim wrote:
>> 
>> I'll probably revert all the linux changes from the 20110716 patch,
>> since their outcome seems unacceptable to me.

Thinking about it again, it is probably better to just make the linux
terminfo entry use linux2.2 by default.  This should keep everyone
relatively happy, Vincent can then set TERM to linux3.0 if he so
desires.

> actually I've made changes to two parts (terminfo.src and the change to
> gen_edit.sh - but I recall your patch level is before the latter - 20110910).

Right, I have just updated the terminfo entries but no other files.  The
20110910 change to gen_edit.sh is irrelevant for us anyway, since Debian
has dropped support for Linux kernels older than 2.6 a few years ago.

> (sorry if I seem unresponsive - I didn't see further discussion, was trying
> to decide whether to make the 20110910 change explicitly configurable, and was
> investigating an issue related to my fix in st-256color).

I'll pick up the st-256color fix later, but for now I have to drop
st-256color from ncurses-term anyway to solve #665877.

Cheers,
       Sven




Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 01 Apr 2012 13:09:15 GMT) Full text and rfc822 format available.

Message sent on to Elimar Riesebieter <riesebie@lxtec.de>:
Bug#665959. (Sun, 01 Apr 2012 13:09:19 GMT) Full text and rfc822 format available.

Message #82 received at 665959-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 665959-submitter@bugs.debian.org
Subject: Bug#665959 marked as pending
Date: Sun, 01 Apr 2012 13:05:37 +0000
tag 665959 pending
thanks

Hello,

Bug #665959 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=935ae7d

---
commit 935ae7d4ffbf108f3ce54dceac7d27ae52a27154
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Apr 1 14:32:18 2012 +0200

    Use linux2.2 as base for linux terminfo entry
    
    Using the linux2.6 or linux3.0 terminfo entries breaks the display of
    line drawing characters in non-UTF-8 locales.

diff --git a/debian/changelog b/debian/changelog
index 5d8c0bd..adc1888 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,10 @@ ncurses (5.9-6) UNRELEASED; urgency=low
   [ Sven Joachim ]
   * Blacklist st and st-256color terminfo entries until suckless-tools
     stops shipping them (Closes: #665877).
+  * New patch 01-use-linux2.2-terminfo.diff: use linux2.2 rather than
+    linux3.0 as the base for the linux terminfo entry, since the latter
+    breaks display of line drawing characters in non-UTF-8 locales
+    (closes: #665959).
 
  -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Apr 2012 14:25:29 +0200
 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sun, 01 Apr 2012 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 01 Apr 2012 14:33:06 GMT) Full text and rfc822 format available.

Message #87 received at 665959@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 665959@bugs.debian.org
Cc: dickey@his.com, Vincent Lefevre <vincent@vinc17.net>, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sun, 01 Apr 2012 10:31:57 -0400
[Message part 1 (text/plain, inline)]
On Sun, Apr 01, 2012 at 12:30:55PM +0200, Sven Joachim wrote:
> On 2012-04-01 11:51 +0200, Thomas Dickey wrote:
> 
> > On Sun, Apr 01, 2012 at 10:32:59AM +0200, Sven Joachim wrote:
> >> 
> >> I'll probably revert all the linux changes from the 20110716 patch,
> >> since their outcome seems unacceptable to me.
> 
> Thinking about it again, it is probably better to just make the linux
> terminfo entry use linux2.2 by default.  This should keep everyone
> relatively happy, Vincent can then set TERM to linux3.0 if he so
> desires.
> 
> > actually I've made changes to two parts (terminfo.src and the change to
> > gen_edit.sh - but I recall your patch level is before the latter - 20110910).
> 
> Right, I have just updated the terminfo entries but no other files.  The
> 20110910 change to gen_edit.sh is irrelevant for us anyway, since Debian
> has dropped support for Linux kernels older than 2.6 a few years ago.

okay... (though the SI/SO patch was introduced sometime during the 2.6
series).

For now, I'll change the terminfo.src file (making the default "linux2.2")
and modify gen_edit.sh to provide for a configure-script option.  But I'm
undecided whether the feature is going to have much demand as a configure
script option (so the gen_edit.sh change will simply agree with the default
in the terminfo.src file).

> > (sorry if I seem unresponsive - I didn't see further discussion, was trying
> > to decide whether to make the 20110910 change explicitly configurable, and was
> > investigating an issue related to my fix in st-256color).
> 
> I'll pick up the st-256color fix later, but for now I have to drop
> st-256color from ncurses-term anyway to solve #665877.

that sounds okay (I did see something of a tangle in upgrades).
I may have other fixes related to use-ordering after I'm done with my
script.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665959; Package ncurses-base. (Sun, 01 Apr 2012 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 01 Apr 2012 20:15:06 GMT) Full text and rfc822 format available.

Message #92 received at 665959@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Sven Joachim <svenjoac@gmx.de>
Cc: dickey@his.com, 665959@bugs.debian.org, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#665959: ncurses-base: linux console can't display ACL's anymore
Date: Sun, 1 Apr 2012 22:14:15 +0200
On 2012-04-01 12:30:55 +0200, Sven Joachim wrote:
> On 2012-04-01 11:51 +0200, Thomas Dickey wrote:
> > On Sun, Apr 01, 2012 at 10:32:59AM +0200, Sven Joachim wrote:
> >> I'll probably revert all the linux changes from the 20110716 patch,
> >> since their outcome seems unacceptable to me.
> 
> Thinking about it again, it is probably better to just make the linux
> terminfo entry use linux2.2 by default.  This should keep everyone
> relatively happy, Vincent can then set TERM to linux3.0 if he so
> desires.

No, things should work by default. So, that would be up to the system
to switch to TERM=linux3.0 if needed (in UTF-8?).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Merged 665959 666971 Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Tue, 03 Apr 2012 04:54:08 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 09 Apr 2012 13:09:16 GMT) Full text and rfc822 format available.

Notification sent to Elimar Riesebieter <riesebie@lxtec.de>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 13:09:16 GMT) Full text and rfc822 format available.

Message #99 received at 665959-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 665959-close@bugs.debian.org
Subject: Bug#665959: fixed in ncurses 5.9-6
Date: Mon, 09 Apr 2012 13:04:06 +0000
Source: ncurses
Source-Version: 5.9-6

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.9-6_amd64.deb
lib32ncurses5_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.9-6_amd64.deb
lib32ncursesw5-dev_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.9-6_amd64.deb
lib32ncursesw5_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.9-6_amd64.deb
lib32tinfo-dev_5.9-6_amd64.deb
  to main/n/ncurses/lib32tinfo-dev_5.9-6_amd64.deb
lib32tinfo5_5.9-6_amd64.deb
  to main/n/ncurses/lib32tinfo5_5.9-6_amd64.deb
libncurses5-dbg_5.9-6_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.9-6_amd64.deb
libncurses5-dev_5.9-6_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.9-6_amd64.deb
libncurses5_5.9-6_amd64.deb
  to main/n/ncurses/libncurses5_5.9-6_amd64.deb
libncursesw5-dbg_5.9-6_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.9-6_amd64.deb
libncursesw5-dev_5.9-6_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.9-6_amd64.deb
libncursesw5_5.9-6_amd64.deb
  to main/n/ncurses/libncursesw5_5.9-6_amd64.deb
libtinfo-dev_5.9-6_amd64.deb
  to main/n/ncurses/libtinfo-dev_5.9-6_amd64.deb
libtinfo5-dbg_5.9-6_amd64.deb
  to main/n/ncurses/libtinfo5-dbg_5.9-6_amd64.deb
libtinfo5_5.9-6_amd64.deb
  to main/n/ncurses/libtinfo5_5.9-6_amd64.deb
ncurses-base_5.9-6_all.deb
  to main/n/ncurses/ncurses-base_5.9-6_all.deb
ncurses-bin_5.9-6_amd64.deb
  to main/n/ncurses/ncurses-bin_5.9-6_amd64.deb
ncurses-doc_5.9-6_all.deb
  to main/n/ncurses/ncurses-doc_5.9-6_all.deb
ncurses-examples_5.9-6_amd64.deb
  to main/n/ncurses/ncurses-examples_5.9-6_amd64.deb
ncurses-term_5.9-6_all.deb
  to main/n/ncurses/ncurses-term_5.9-6_all.deb
ncurses_5.9-6.debian.tar.gz
  to main/n/ncurses/ncurses_5.9-6.debian.tar.gz
ncurses_5.9-6.dsc
  to main/n/ncurses/ncurses_5.9-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665959@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Apr 2012 10:35:00 +0200
Source: ncurses
Binary: libncurses5 libtinfo5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source amd64 all
Version: 5.9-6
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 665877 665959
Changes: 
 ncurses (5.9-6) unstable; urgency=low
 .
   [ Craig Small ]
   * Permit DMs to upload
 .
   [ Sven Joachim ]
   * Blacklist st and st-256color terminfo entries until suckless-tools
     stops shipping them (Closes: #665877).
   * Update terminfo descriptions to the 20120407 upstream patchlevel.
     - Revert to linux2.2 rather than linux3.0 as the base for the linux
       terminfo entry, since the latter breaks display of line drawing
       characters in non-UTF-8 locales (closes: #665959).
Checksums-Sha1: 
 1c6de757ce40700121606fd20e502bef24848485 3116 ncurses_5.9-6.dsc
 f70cc250293da37bd23b3523ea29bef1287e649b 76783 ncurses_5.9-6.debian.tar.gz
 55dac91744fd46823ed1e01ec4ea0de05ecc385e 298046 libncurses5_5.9-6_amd64.deb
 fa5b1aa763efe854d0b8468fa32f41e368a9b20d 273158 libtinfo5_5.9-6_amd64.deb
 1b180ae119cb56e09c60e14aca26b066e397168f 102712 libtinfo-dev_5.9-6_amd64.deb
 552a07b270e43e3b2085bdda0a918520eb147c3c 681260 libtinfo5-dbg_5.9-6_amd64.deb
 d8d6bbcc0f157bbe2f5ec75c466d5d031861bbdb 406220 libncurses5-dev_5.9-6_amd64.deb
 1dc90c17265fbfc01430769fbdb15d87345762bb 3124568 libncurses5-dbg_5.9-6_amd64.deb
 93a26b86b5a3f6e132b8f9096d676580a7b067e8 322380 libncursesw5_5.9-6_amd64.deb
 16c23adc6785b3f24d3095fa824d34968bcb8e30 438302 libncursesw5-dev_5.9-6_amd64.deb
 abf9ed092f66362480a178ab63e230e921540e9e 2222176 libncursesw5-dbg_5.9-6_amd64.deb
 35acb67542392d2868cc66b329b538d90075c93c 297954 lib32ncurses5_5.9-6_amd64.deb
 5d03abf7e7cf6621dee65c3691332e878a88a8bd 332550 lib32ncurses5-dev_5.9-6_amd64.deb
 2adb72b0817d773463fff767c7d95f9a01943c58 327960 lib32ncursesw5_5.9-6_amd64.deb
 398fb108cce1d1a80ef78cb8bc0588da95d1b0d9 366092 lib32ncursesw5-dev_5.9-6_amd64.deb
 ab15d913a7336f3386e3279980ecfc7a50f14b90 268524 lib32tinfo5_5.9-6_amd64.deb
 78a297d65b7ea7e9008a70722bb31054162187ec 91424 lib32tinfo-dev_5.9-6_amd64.deb
 a0088d7164cde6a181e60faf5b64b0fe3b328848 334190 ncurses-bin_5.9-6_amd64.deb
 49a38afcf172467179443bf7bbfcacdd7c03755e 445454 ncurses-examples_5.9-6_amd64.deb
 684594ac6ca810ec9d714d8d14042be3fbe3c840 198394 ncurses-base_5.9-6_all.deb
 972a8c513d92e7417dd667fcca09ee75b16d0889 599772 ncurses-term_5.9-6_all.deb
 0af0a416457df2af2daa56ac51db0c4ba5daaf1a 1009562 ncurses-doc_5.9-6_all.deb
Checksums-Sha256: 
 ca7c099aa606500f9ebeee4b3c265e4b7ecba9bba343aa5191aa927c4fabdd25 3116 ncurses_5.9-6.dsc
 83689fe5ef9446366496f6557b8248e88fa784d4f6fd103024dc50a2cdd3081f 76783 ncurses_5.9-6.debian.tar.gz
 c78c8fb54da5955aeb1efaca14cef405f6deeeb077ac7c6cfc314bdf300af495 298046 libncurses5_5.9-6_amd64.deb
 ffdeda6f8b82a3b643949c142660d9a97cf0ed50fc84a5beed341939a12d6fd5 273158 libtinfo5_5.9-6_amd64.deb
 cac68cb69912738c6ad629aa6a5c60df66651b5680daae7ffa2bc8cb08b7a88a 102712 libtinfo-dev_5.9-6_amd64.deb
 c806a275ff284e54c88ebd96586b3b61deb3c7f418cddf066f0c1c85677058a0 681260 libtinfo5-dbg_5.9-6_amd64.deb
 2d67c788301d80f2624fd1f2041887d2c63e64229a0321a346bef54deabbc912 406220 libncurses5-dev_5.9-6_amd64.deb
 0b2720db3743ded51fff7ae750651b64dcbcaee2ecf651ef19df924283b998fa 3124568 libncurses5-dbg_5.9-6_amd64.deb
 4537b789317384bad1e0085f18fdf233e44bce53ab147ac45959b684b5e85b19 322380 libncursesw5_5.9-6_amd64.deb
 6057b6b6402d4716aed85fe926cd23c442d2849be488ef1e689865690a8d17b4 438302 libncursesw5-dev_5.9-6_amd64.deb
 f235bdd2703b1f5efe2f9a98eb5c61e8e51632c059ead43e59f71c2bf3f2a2ad 2222176 libncursesw5-dbg_5.9-6_amd64.deb
 45fd72cfa0c11c4d67521e8e0ec29b2d85ff8650d747921a0f66b8626a03b7cb 297954 lib32ncurses5_5.9-6_amd64.deb
 4d80fdcd21d51ed227418a20cb8e27b520c5795ab70aa57d5424cfa14d47414a 332550 lib32ncurses5-dev_5.9-6_amd64.deb
 40c940520a91e695fe998dd773a33809a1a997b308328d9ae09fcde7b7aa7a49 327960 lib32ncursesw5_5.9-6_amd64.deb
 39633b885814efa1a0de888e74f72b33551be9c2c8384eb2ac83a1f46eff09d8 366092 lib32ncursesw5-dev_5.9-6_amd64.deb
 ef5104d7da4050d19c81c8ee0b99685135a69efaa53a738648ca7b26c304d169 268524 lib32tinfo5_5.9-6_amd64.deb
 cb0ccdeebf54b88ad8ea827b2cf411e219fd43367d8457bf1416cd6c6541b0e7 91424 lib32tinfo-dev_5.9-6_amd64.deb
 b63fa85517f7f1d9b2f483e6514b14582e3a70ce8ef2f0632ab7be589a9168d6 334190 ncurses-bin_5.9-6_amd64.deb
 ad5606cbf51adffd7ec39dc9a6e59ebf06f449f26babce7d67bc394279872cdb 445454 ncurses-examples_5.9-6_amd64.deb
 55b40db61ebfc63981ab051c5d4c5aefcca366fc46012b10de7f20a2cb1289d9 198394 ncurses-base_5.9-6_all.deb
 51b2b4dc691c8de204f7e2c54ea4e148b1d6fac4ecf5961d0f78326d1a85defe 599772 ncurses-term_5.9-6_all.deb
 d661e6bbd885774681ae8c68211fa002c6709c86dd219ac155db7fd59109a083 1009562 ncurses-doc_5.9-6_all.deb
Files: 
 e456d01cfe41b528284e6def61db2b36 3116 libs required ncurses_5.9-6.dsc
 08dc059013efee3cae23a44ccd9ba152 76783 libs required ncurses_5.9-6.debian.tar.gz
 194ea68871b13790a5925462f18fdb94 298046 libs required libncurses5_5.9-6_amd64.deb
 b8f93099b590eb86b46883e63344dc1e 273158 libs required libtinfo5_5.9-6_amd64.deb
 039815be11902059d230d0ed667bf3f9 102712 libdevel optional libtinfo-dev_5.9-6_amd64.deb
 efe6cf0d1108b0e897313fe61af61ba5 681260 debug extra libtinfo5-dbg_5.9-6_amd64.deb
 ee611cc90096212d7ece89e18c5c91ff 406220 libdevel optional libncurses5-dev_5.9-6_amd64.deb
 592e50fd3ea144306de78f57cbc929e8 3124568 debug extra libncurses5-dbg_5.9-6_amd64.deb
 2362303769e7c1300fa004e652cf3b33 322380 libs important libncursesw5_5.9-6_amd64.deb
 ab19622313f4196c85493cbb86e069e9 438302 libdevel optional libncursesw5-dev_5.9-6_amd64.deb
 cd0f72f5ea9dee88f1c3726a8a57c17b 2222176 debug extra libncursesw5-dbg_5.9-6_amd64.deb
 66c31589a9a4195d38cb3a0346b96651 297954 libs optional lib32ncurses5_5.9-6_amd64.deb
 89337db3ebb0a23c73ada5d8f3e14b8b 332550 libdevel optional lib32ncurses5-dev_5.9-6_amd64.deb
 9f1c3154398a15b140b8428949ce2382 327960 libs optional lib32ncursesw5_5.9-6_amd64.deb
 17d2091abdcc499dbaa3a1079c59f56d 366092 libdevel optional lib32ncursesw5-dev_5.9-6_amd64.deb
 593a31c19eacb0ea59ffe27dfb649f44 268524 libs optional lib32tinfo5_5.9-6_amd64.deb
 ba1ef27bf38736c668076d49e066d26d 91424 libdevel optional lib32tinfo-dev_5.9-6_amd64.deb
 9fba59e94be1298ac7ab92308ede29a7 334190 utils required ncurses-bin_5.9-6_amd64.deb
 97bc1ed3e37a7947ae737c98d3796b3e 445454 misc optional ncurses-examples_5.9-6_amd64.deb
 1228cec1658cde1cc0dff26e73d3b93b 198394 utils required ncurses-base_5.9-6_all.deb
 12bdd0833783ca3f74ba274c4d6a55eb 599772 admin standard ncurses-term_5.9-6_all.deb
 3d74c2ba709aa05c1f492fb7f14367de 1009562 doc optional ncurses-doc_5.9-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPgtpVAAoJEDk4+WvfUP6lWsQP/iHhkDh6c2yQTkYq1Y1G6YEw
qC3RjC/2nBkLN5lBLjW2V4j8ljH/7FgQ70AxsEOiVLb9SOzsd8AnKEK78mW5zG94
14tvux1cHj8tsBvy10ArxoEYUbaI1I29IS+QfBTH15uhPMF9+6fi73yIxLOKtyXZ
mY3y3yBKnxMY9w36/crYdW89ZtWq750pcbDl4CKFLLTNeGiz0WSDVsrhRG31NBZS
XIwGvLux/MVexigaJ1EA11wIzqBpzxEgO7QTx35YXg3xJrU0dAW/APB6nj9J4bLj
UdmEZpnlCF3UUmSjHCLsm5zim7jIBJ51lZw0iqpCfDisZ9SvLVhuB9D4ahe1x08Y
aoAXUhBpy4i+XGJZ7o7n/v42akUv2j/4f3kad914oT8JPnepubRfO1Ym91qIdJSc
K19GLTq4ltoKLk+gFGdmAp1xG5d5q3pYmaJExBuGEK+333P61aZ7rgRRXH1HANNb
uSpW0wP2ubPapUFC57Phw3tVmbUfzSShFPkOW5Uu+qRC1s6kR9K/RxRHdAvWbq7a
5DIAZPoi1IjH4XXFnkLv+VH6cutOCO+V9kKOulQskW0aNgCi/EO+gIlFh/f45jhw
6Hd6/QDWf60V3Adka1EApoO4CERLbcbKog4VLXJBluupfrwuF0JLyYYrnZkB3cvx
RJe9HYG7DaXYpCYM6/FC
=vLvD
-----END PGP SIGNATURE-----





Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 09 Apr 2012 13:09:18 GMT) Full text and rfc822 format available.

Notification sent to Steven Shiau <steven@nchc.org.tw>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 13:09:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 May 2012 07:40:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:47:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.